Jump to content

Programa não é removido, atualizado ou pode ser excutado


Klousdolov
 Share

Recommended Posts

Olá prezada(o)s,

Estou com um problema no programa CODE:blocks.

Ele não atualiza, não é removido e não executa.

Fiz varios procedimentos e sempre aparece essa mensagem:

Depois desta operação, 0 B adicionais de espaço em disco serão usados.
dpkg: erro ao processar o pacote code (--configure):
 O pacote está num mau estado de inconsistência; deve
 reinstala-lo antes de tentar configura-lo.
Erros foram encontrados durante o processamento de:
 code
E: Sub-process /usr/bin/dpkg returned an error code (1)

Se alguém puder me ajudar ficarei agradecido.

Marcelo

Link to comment
Share on other sites

Agora foi!

Obrigado!

~$ sudo killall codeblocks
codeblocks: nenhum processo localizado

~$ sudo apt-get update
Atingido:1 http://linux.teamviewer.com/deb stable InRelease
Atingido:2 http://br.archive.ubuntu.com/ubuntu focal InRelease                         
Obter:3 http://br.archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB]           
Obter:4 http://br.archive.ubuntu.com/ubuntu focal-backports InRelease [108 kB]         
Obter:5 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]            
Atingido:6 http://packages.microsoft.com/repos/code stable InRelease                   
Obter:7 http://br.archive.ubuntu.com/ubuntu focal-updates/main amd64 DEP-11 Metadata [277 kB]
Obter:8 http://br.archive.ubuntu.com/ubuntu focal-updates/universe amd64 DEP-11 Metadata [362 kB]
Obter:9 http://br.archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [940 B]
Obter:10 http://br.archive.ubuntu.com/ubuntu focal-backports/main amd64 DEP-11 Metadata [7.996 B]
Obter:11 http://br.archive.ubuntu.com/ubuntu focal-backports/universe amd64 DEP-11 Metadata [11,3 kB]
Baixados 995 kB em 8s (122 kB/s)                                                       
Lendo listas de pacotes... Pronto

~$ sudo apt-get install --reinstall codeblocks
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Os pacotes adicionais seguintes serão instalados:
  libastyle3 libcodeblocks0 libtinyxml2.6.2v5 libutempter0 libwxbase3.0-0v5
  libwxgtk3.0-gtk3-0v5 xterm
Pacotes sugeridos:
  codeblocks-contrib libwxgtk3.0-dev xfonts-cyrillic
Os NOVOS pacotes a seguir serão instalados:
  codeblocks libastyle3 libcodeblocks0 libtinyxml2.6.2v5 libutempter0 libwxbase3.0-0v5
  libwxgtk3.0-gtk3-0v5 xterm
0 pacotes atualizados, 8 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 10,3 MB de arquivos.
Depois desta operação, 39,7 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 libastyle3 amd64 3.1-2build1 [104 kB]
Obter:2 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 libtinyxml2.6.2v5 amd64 2.6.2-4build1 [30,8 kB]
Obter:3 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 libwxbase3.0-0v5 amd64 3.0.4+dfsg-15build1 [982 kB]
Obter:4 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 libwxgtk3.0-gtk3-0v5 amd64 3.0.4+dfsg-15build1 [4.359 kB]
Obter:5 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 libcodeblocks0 amd64 20.03-3 [2.146 kB]
Obter:6 http://br.archive.ubuntu.com/ubuntu focal/universe amd64 codeblocks amd64 20.03-3 [1.904 kB]
Obter:7 http://br.archive.ubuntu.com/ubuntu focal/main amd64 libutempter0 amd64 1.1.6-4 [8.256 B]
Obter:8 http://br.archive.ubuntu.com/ubuntu focal-updates/universe amd64 xterm amd64 353-1ubuntu1.20.04.2 [765 kB]
Baixados 10,3 MB em 9s (1.112 kB/s)                                                    
A seleccionar pacote anteriormente não seleccionado libastyle3:amd64.
(Lendo banco de dados ... 259222 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../0-libastyle3_3.1-2build1_amd64.deb ...
A descompactar libastyle3:amd64 (3.1-2build1) ...
A seleccionar pacote anteriormente não seleccionado libtinyxml2.6.2v5:amd64.
A preparar para desempacotar .../1-libtinyxml2.6.2v5_2.6.2-4build1_amd64.deb ...
A descompactar libtinyxml2.6.2v5:amd64 (2.6.2-4build1) ...
A seleccionar pacote anteriormente não seleccionado libwxbase3.0-0v5:amd64.
A preparar para desempacotar .../2-libwxbase3.0-0v5_3.0.4+dfsg-15build1_amd64.deb ...
A descompactar libwxbase3.0-0v5:amd64 (3.0.4+dfsg-15build1) ...
A seleccionar pacote anteriormente não seleccionado libwxgtk3.0-gtk3-0v5:amd64.
A preparar para desempacotar .../3-libwxgtk3.0-gtk3-0v5_3.0.4+dfsg-15build1_amd64.deb ...
A descompactar libwxgtk3.0-gtk3-0v5:amd64 (3.0.4+dfsg-15build1) ...
A seleccionar pacote anteriormente não seleccionado libcodeblocks0.
A preparar para desempacotar .../4-libcodeblocks0_20.03-3_amd64.deb ...
A descompactar libcodeblocks0 (20.03-3) ...
A seleccionar pacote anteriormente não seleccionado codeblocks.
A preparar para desempacotar .../5-codeblocks_20.03-3_amd64.deb ...
A descompactar codeblocks (20.03-3) ...
A seleccionar pacote anteriormente não seleccionado libutempter0:amd64.
A preparar para desempacotar .../6-libutempter0_1.1.6-4_amd64.deb ...
A descompactar libutempter0:amd64 (1.1.6-4) ...
A seleccionar pacote anteriormente não seleccionado xterm.
A preparar para desempacotar .../7-xterm_353-1ubuntu1.20.04.2_amd64.deb ...
A descompactar xterm (353-1ubuntu1.20.04.2) ...
Configurando libastyle3:amd64 (3.1-2build1) ...
Configurando libtinyxml2.6.2v5:amd64 (2.6.2-4build1) ...
Configurando libutempter0:amd64 (1.1.6-4) ...
Configurando libwxbase3.0-0v5:amd64 (3.0.4+dfsg-15build1) ...
Configurando xterm (353-1ubuntu1.20.04.2) ...
Configurando libwxgtk3.0-gtk3-0v5:amd64 (3.0.4+dfsg-15build1) ...
Configurando libcodeblocks0 (20.03-3) ...
Configurando codeblocks (20.03-3) ...
A processar 'triggers' para mime-support (3.64ubuntu1) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
A processar 'triggers' para libc-bin (2.31-0ubuntu9.2) ...
A processar 'triggers' para man-db (2.9.1-1) ...
A processar 'triggers' para desktop-file-utils (0.24-1ubuntu3) ...

Uma coisa. Eu nunca tinha instalado pelo terminal e você falou para fazer com o comando de codeblock e o erro sempre dava no code. Pode ter sido por isso?

 

Muito obrigado.

Abraços.

  • Curtir 1
Link to comment
Share on other sites

  • Administrators

Que bom!

É difícil dizer o que foi que rolou com a versão que você tava tentando rodar. São muitas possibilidades...

Mas estudar o apt, apt-get, dpkg, etc é muito legal pra quem usa Debian, Ubuntu, Kali, etc. Adianta bastante a instalação e manutenção de programas. 🙂

Grande abraço!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...